
  -----------------------------
  -- INIT
  -----------------------------

  --get the addon namespace
  local addon, ns = ...
  local cfg = ns.cfg

  -----------------------------
  -- CHARSPECIFIC REWRITES
  -----------------------------

  local player_name, _ = UnitName("player")
  local _, player_class = UnitClass("player")

  -- this file allows you to override default class settings with special settings for your own character
  -- ATTENTION: if you character name contains UTF-8 characters like âôû and such. Make sure this files is saved in UTF-8 file format
  
  --deathknight defaults
  if player_name == "Sadsas" and player_class == "DEATHKNIGHT" then
    --default deathknight buffs
    cfg.rf3_BuffList = {
      {
        spellid = 57330, -- +10% AP / RAP
        spelllist = { 6673, 57330, 19506, 133540, },
        spec = nil,
        size = 64,
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -1, y = 110 },
        unit = "player",
        validate_unit   = true,
        ismine          = false,
        desaturate      = true,
        move_ingame     = true,
        hide_ooc        = true,
        alpha = {
          found = {
            frame = 0,
            icon = 0,
          },
          not_found = {
            frame = 0.4,
            icon = 0.6,
          },
        },
      },
      {
        spellid = 178819, -- dark succor 
        spec = nil,
        size = 48,
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -352, y = -131 },
        unit = "player",
        validate_unit   = true,
        ismine          = false,
        desaturate      = true,
        move_ingame     = true,
        hide_ooc        = false,
        alpha = {
          found = {
            frame = 1,
            icon = 1,
          },
          not_found = {
            frame = 0,
            icon = 0,
          },
        },
      },
	}
    --default deathknight debuffs
    cfg.rf3_DebuffList = {}
    --default deathknight cooldowns
    cfg.rf3_CooldownList = {
	  {
        spec = nil, 
        spellid = 48792, --icebound fortitude
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -460, y = -201 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
      },
	  {
        spec = nil, 
        spellid = 47568, --empowered rune weapon
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -425, y = -236 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
      },
	  {
        spec = 3, 
        spellid = 49206, --gargoyle
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -425, y = -201 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
      },
	  {
        spec = nil, 
        spellid = 47528, --mind freeze
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -195, y = -163 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
      },
	  {
        spec = nil, 
        spellid = 49576, --death grip
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -230, y = -163 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
      },
	  {
        spec = nil, 
        spellid = 47476, --strangulate
		spelllist = { 47476, 108194, }, --asphyxiate Does not work. Has the icon change to correct one but does not show cooldown
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -265, y = -163 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
	  },
		-- Talented Abilities
	  {
        spec = nil, 
        spellid = 48743, --death pact 48743
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -460, y = -236 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
      },
	  {
        spec = nil, 
        spellid = 108201, --desecrated ground
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -460, y = -166 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
      },
	  {
        spec = nil, 
        spellid = 115989, --unholy blight
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -425, y = -166 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
      },
	  {
        spec = nil, 
        spellid = 108194, --asphyxiate
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -265, y = -128 },
        size = 26,
        desaturate = true,
        move_ingame     = true,
		hide_ooc        = true,
        alpha = {
          cooldown = {
            frame = 1,
            icon = 0.6,
          },
          no_cooldown = {
            frame = 1,
            icon = 1,          
          },
        },
	   },
	}
  end

  if player_name == "Zörk" and player_class == "WARRIOR" then
    --Rothars Buff List
    cfg.rf3_BuffList = {
      {
        spellid = 12880, --enrage
        spec = nil,
        size = 32,
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = -210, y = 130 },
        unit = "player",
        validate_unit   = true,
        ismine          = true,
        desaturate      = true,
        move_ingame     = true,
        hide_ooc        = false,
        alpha = {
          found = {
            frame = 1,
            icon = 1,
          },
          not_found = {
            frame = 0,
            icon = 1,
          },
        },
      },
      {
        spellid = 469, -- +10% STA
        spelllist = { 469, 90364, 109773, 21562, },
        spec = nil,
        size = 22,
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 140, y = 110 },
        unit = "player",
        validate_unit   = true,
        ismine          = false,
        desaturate      = true,
        move_ingame     = true,
        hide_ooc        = false,
        alpha = {
          found = {
            frame = 1,
            icon = 1,
          },
          not_found = {
            frame = 0.4,
            icon = 0.6,
          },
        },
      },
      {
        spellid = 6673, -- +10% AP / RAP
        spelllist = { 6673, 57330, 19506, 133540, },
        spec = nil,
        size = 22,
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 110, y = 110 },
        unit = "player",
        validate_unit   = true,
        ismine          = false,
        desaturate      = true,
        move_ingame     = true,
        hide_ooc        = false,
        alpha = {
          found = {
            frame = 1,
            icon = 1,
          },
          not_found = {
            frame = 0.4,
            icon = 0.6,
          },
        },
      },
      {
        spellid = 112048, --shield barrier
        spec = 3,
        size = 28,
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = -98, y = 110 },
        unit = "player",
        validate_unit   = true,
        ismine          = true,
        desaturate      = true,
        move_ingame     = true,
        --hide_ooc        = true,
        show_value      = 1,
        alpha = {
          found = {
            frame = 1,
            icon = 1,
          },
          not_found = {
            frame = 0.2,
            icon = 0.6,
          },
        },
      },
      {
        spellid = 132404, --shield block
        spec = 3,
        size = 28,
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = -136, y = 110 },
        unit = "player",
        validate_unit   = true,
        ismine          = true,
        desaturate      = true,
        move_ingame     = true,
        --hide_ooc        = true,
        alpha = {
          found = {
            frame = 1,
            icon = 1,
          },
          not_found = {
            frame = 0.2,
            icon = 0.6,
          },
        },
      },
    }

    --Rothars Debuff List
    cfg.rf3_DebuffList = {
      {
        spellid = 115767, --deep wounds
        spec = nil,
        size = 22,
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 75, y = 110 },
        unit = "target",
        validate_unit   = true,
        ismine          = true,
        desaturate      = true,
        move_ingame     = true,
        hide_ooc        = true,
        alpha = {
          found = {
            frame = 1,
            icon = 1,
          },
          not_found = {
            frame = 0.4,
            icon = 0.6,
          },
        },
      },
    }

  end
  
  if player_name == "Needler" and player_class == "HUNTER" then
    --Rothars Buff List
    cfg.rf3_BuffList = {
      {
        spellid = 118455, --beast cleave
        spec = nil,
        size = 32,
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = -210, y = 130 },
        unit = "pet",
        validate_unit   = true,
        ismine          = false,
        desaturate      = true,
        move_ingame     = true,
        hide_ooc        = false,
        alpha = {
          found = {
            frame = 1,
            icon = 1,
          },
          not_found = {
            frame = 0,
            icon = 1,
          },
        },
      },
    }

  end
